Delete a service lookup code relation

delete

/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceLookupTypeRelations/{serviceLookupTypeRelations_id}/lookupCodeRelations/{serviceLookupTypeRelations-lookupCodeRelations_id}

Request

Path Parameters
  • This path parameter maps to a composite key that consists of the following fields defined in the Service Lookup Type Relations/Service Lookup Code Relations REST resource:
    1. relationCode: The lookup relation code.
    2. serviceParentLookupCode: The lookup code of the parent lookup, such as ORA_SVC_NEW, ORA_SVC_RESOLVED, ORA_SVC_SRRES_LEGACY.
    3. serviceChildLookupCode: The lookup code of the child lookup, such as ORA_SVC_NEW, ORA_SVC_RESOLVED, ORA_SVC_WAITING.
    To generate the path parameter value, first encode the field values, then concatenate them using a comma and encode the resulting string.
  • This path parameter maps to the following field defined in the Service Lookup Type Relations REST resource:
    1. relationCode: The lookup relation code.
Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.

There's no request body for this operation.

Back to Top

Response

Default Response

no content
Back to Top